Buscar motivo de pausa único

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.neppo.com.br/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Neppo API MCP server": {
    "url": "https://api-docs.neppo.com.br/mcp"
  }
}

Close
POST /chatapi/1.0/api/v2/pause-reasons/unique

Retorna um registro único de motivo de pausa com base nas condições informadas.

application/json

Body Required

request

  • conditions array[object]
    Hide conditions attributes Show conditions attributes object
    • key string
    • value string
    • operator string

      Values are EQ, EQNUM, NEQ, NEQNUM, IS_FALSE, IS_TRUE, LIKE, NOT_LIKE, IN, NOT_IN, IS_NULL, NOT_NULL, BEFORE, or AFTER.

    • logic string

      Values are AND or OR.

    • or array[object]
    • and array[object]
    • conditions array[object]
  • sort boolean
  • direction string

    Values are ASC or DESC.

  • sortColumn string

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • active boolean
    • controlPauseTime boolean
    • createdAt string(date-time)
    • createdBy string
    • id integer(int64)
    • notifySupervisor boolean
    • pauseChat boolean
    • pauseChatByVoice boolean
    • pauseTime integer(int64)
    • pauseVoice boolean
    • updatedAt string(date-time)
    • updatedBy string
    • value string
  • 201

    Created

  • 401

    Unauthorized

  • 403

    Forbidden

  • 404

    Not Found

POST /chatapi/1.0/api/v2/pause-reasons/unique
curl \
 --request POST 'https://api.neppo.com.br/chatapi/1.0/api/v2/pause-reasons/unique' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"conditions":[{"key":"string","value":"string","operator":"EQ","logic":"AND","or":[{}],"and":[{}],"conditions":[{}]}],"sort":true,"direction":"ASC","sortColumn":"string"}'
Request examples
{
  "conditions": [
    {
      "key": "string",
      "value": "string",
      "operator": "EQ",
      "logic": "AND",
      "or": [
        {}
      ],
      "and": [
        {}
      ],
      "conditions": [
        {}
      ]
    }
  ],
  "sort": true,
  "direction": "ASC",
  "sortColumn": "string"
}
Response examples (200)
{
  "active": true,
  "controlPauseTime": true,
  "createdAt": "2026-05-04T09:42:00Z",
  "createdBy": "string",
  "id": 42,
  "notifySupervisor": true,
  "pauseChat": true,
  "pauseChatByVoice": true,
  "pauseTime": 42,
  "pauseVoice": true,
  "updatedAt": "2026-05-04T09:42:00Z",
  "updatedBy": "string",
  "value": "string"
}